﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;

namespace TechnicalIndicators_121531
{
    public class ViewModel
    {
        public ViewModel()
        {
            this.StockPriceDetails = new ObservableCollection<Model>();
            DateTime date = new DateTime(2012, 4, 1);
            
            this.StockPriceDetails.Add(new Model() { Date = date.AddYears(1), Open = 820, High = 860, Low = 855.5, Close = 860.5 });
            this.StockPriceDetails.Add(new Model() { Date = date.AddYears(2), Open = 830.8, High = 878.85, Low = 805.5, Close = 860.5 });
            this.StockPriceDetails.Add(new Model() { Date = date.AddYears(3), Open = 841, High = 888.4, Low = 835.2, Close = 803.45 });
            this.StockPriceDetails.Add(new Model() { Date = date.AddYears(4), Open = 800.15, High = 853, Low = 838.5, Close = 847.5 });
            this.StockPriceDetails.Add(new Model() { Date = date.AddYears(5), Open = 800, High = 860, Low = 835.5, Close = 860.5 });
            this.StockPriceDetails.Add(new Model() { Date = date.AddYears(6), Open = 900, High = 828.85, Low = 805.5, Close = 860.5 });
            this.StockPriceDetails.Add(new Model() { Date = date.AddYears(7), Open = 801, High = 828.4, Low = 730, Close = 750 });
            this.StockPriceDetails.Add(new Model() { Date = date.AddYears(8), Open = 830, High = 853, Low = 780.5, Close = 800 });

            IndicatorsCollection = new ObservableCollection<ChartSeries>();

            AverageTrueRangeIndicator average = new AverageTrueRangeIndicator();
            average.Period = 3;
            average.ItemsSource = StockPriceDetails;
            average.XBindingPath = "Date";
            average.Low = "Low";
            average.High = "High";
            average.Open = "Open";
            average.Close = "Close";
         
            SimpleAverageIndicator simpleAverage = new SimpleAverageIndicator();
            simpleAverage.Period = 3;
            simpleAverage.ItemsSource = StockPriceDetails;
            simpleAverage.XBindingPath = "Date";
            simpleAverage.Low = "Low";
            simpleAverage.High = "High";
            simpleAverage.Open = "Open";
            simpleAverage.Close = "Close";
                   
            // Add the indicators into the collection.
            IndicatorsCollection.Add(simpleAverage);
            IndicatorsCollection.Add(average);
        }
        public ObservableCollection<Model> StockPriceDetails
        {
            get;
            set;
        }

        public ObservableCollection<ChartSeries> IndicatorsCollection
        {
            get;
            set;
        }

    }
}
